Permalink
Browse files

upgrade mocha deps to avoid mocha deprecation

  • Loading branch information...
1 parent 3a22a94 commit 090c939010c55dc7cff1df6100567602aafaa047 @cldwalker committed Sep 14, 2012
Showing with 3 additions and 3 deletions.
  1. +2 −2 .gemspec
  2. +1 −1 test/test_helper.rb
View
@@ -12,9 +12,9 @@ Gem::Specification.new do |s|
s.description = "Boson is a modular command/task framework. Thanks to its rich set of plugins, it differentiates itself from rake and thor by being usable from irb and the commandline, having optional automated views generated by hirb and allowing libraries to be written as plain ruby. Works with ruby >= 1.9.2"
s.required_rubygems_version = ">= 1.3.6"
s.executables = ['boson']
- s.add_development_dependency 'mocha', '~> 0.10.4'
+ s.add_development_dependency 'mocha', '~> 0.12.0'
s.add_development_dependency 'bacon', '>= 1.1.0'
- s.add_development_dependency 'mocha-on-bacon'
+ s.add_development_dependency 'mocha-on-bacon', '~> 0.2.1'
s.add_development_dependency 'bacon-bits'
s.add_development_dependency 'bahia', '>= 0.5.0'
s.files = Dir.glob(%w[{lib,test}/**/*.rb bin/* [A-Z]*.{txt,rdoc,md} ext/**/*.{rb,c} **/deps.rip]) + %w{Rakefile .gemspec .travis.yml}
View
@@ -1,4 +1,4 @@
-require 'mocha'
+require 'mocha_standalone'
require 'boson'
require 'fileutils'
require 'boson/runner'

0 comments on commit 090c939

Please sign in to comment.